<?

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

if (isset($_GET['id']))$sid = intval($_GET['id']);
else $sid = $user['id'];
$ank = get_user($sid);

# Заголовок
$set['title']= 'Друзья '.user::nick($ank['id'],0).'';
include_once '../../sys/inc/thead.php';
title();
aut();

	$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));
	$frend=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);
	$frend_new=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);
if ($ank['id'] != $user['id'] && $user['group_access'] == 0)
{
	if (($uSet['privat_str'] == 2 && $frend != 2) || $uSet['privat_str'] == 0) // Начинаем вывод если стр имеет приват настройки
	{
	if ($ank['group_access']>1)echo "<div class='err'>".$ank['group_name']."</div>\n";
	echo "<div class='nav1'>";
		echo group($ank['id'])." ";
                echo user::nick($ank['id'],1,1,1);
		echo "</div>";
		echo "<div class='nav2'>";
                user::avatar($ank['id']);
		echo "</div>";
	}
	if ($uSet['privat_str'] == 2 && $frend != 2) // Если только для друзей
{
		echo '<div class="mess">';
		echo 'Просматривать друзей пользователя могут только его друзья!';
		echo '</div>';
		// В друзья
		if (isset($user))
		{
			echo '<div class="nav1">';
			if ($frend_new == 0 && $frend==0){
                 echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?add=".$ank['id']."'>Добавить в друзья</a><br />\n";
			}elseif ($frend_new == 1){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?otm=$ank[id]'>Отклонить заявку</a><br />\n";
                      }elseif ($frend == 2){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?del=$ank[id]'>Удалить из друзей</a><br />\n";
			}
			echo "</div>";
		}
	include_once '../sys/inc/tfoot.php';
	exit;
	}
	if ($uSet['privat_str'] == 0) // Если закрыта
	{
		echo '<div class="mess">';
		echo 'Пользователь запретил просматривать его друзей!';
		echo '</div>';
	include_once '../sys/inc/tfoot.php';
	exit;
	}
}

//--------------------отмеченные---------------------//
if (isset($user) && $user['id']==$ank['id'])
{
if (isset($_GET['delete']))
{
foreach ($_POST as $key => $value)
{
if (preg_match('#^post_([0-9]*)$#',$key,$postnum) && $value='1')
{
$delpost[]=$postnum[1];
}}
if (isset($_POST['delete']))
{
if (isset($delpost) && is_array($delpost))
{
echo "<div class='mess'>Друзья: ";
for ($q=0; $q<=count($delpost)-1; $q++) {
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$delpost[$q]') OR (`user` = '$delpost[$q]' AND `frend` = '$user[id]') LIMIT 1"),0)==0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$delpost[$q]') OR (`user` = '$delpost[$q]' AND `frend` = '$user[id]')"),0)>0)
	{
/*
		==========================
		Уведомления друзьям
		==========================
		*/
		mysql_query("INSERT INTO `notification` (`avtor`, `id_user`, `id_object`, `type`, `time`) VALUES ('$user[id]', '$delpost[$q]', '$user[id]', 'del_frend', '$time')");
	mysql_query("DELETE FROM `frends` WHERE `user` = '$user[id]' AND `frend` = '$delpost[$q]'");
	mysql_query("DELETE FROM `frends` WHERE `user` = '$delpost[$q]' AND `frend` = '$user[id]'");
	mysql_query("DELETE FROM `frends_new` WHERE `user` = '$delpost[$q]' AND `to` = '$user[id]'");
	mysql_query("DELETE FROM `frends_new` WHERE `user` = '$user[id]' AND `to` = '$delpost[$q]'");
	mysql_query("OPTIMIZE TABLE `frends`");
	mysql_query("OPTIMIZE TABLE `frends_new`");
	$msgno="К сожалению, пользователь [b]$user[nick][/b] удалил вас из списка друзей. ";
	mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$delpost[$q]', '$msgno', '$time')");
	}
}
$ank_del = get_user($delpost[$q]);
echo "<font color='#395aff'><b>".$ank_del['nick']."</b></font>, ";
}
echo " удален(ы) из списка ваших друзей</div>";
}else{
$err[] = 'Не выделено ни одного контакта';
}}
}
}

# Панель
echo '<table class="block_panel" cellspacing="0" cellpadding="0">';
echo '<td><a class="panel_ok" href="index.php?id='.$ank[id].'">Все</a><td>';
echo '<td><a class="panel" href="online.php?id='.$ank[id].'">Онлайн</a></td>';
if ($ank['id'] == $user['id']){
echo '<td><a class="panel" href="request.php">Заявки</a>';
}
echo '</table>';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1' ORDER BY time DESC LIMIT $start, $set[p_str]");

if ($k_post==0){
echo '<div class="block2"><center>Нет друзей</center></div>';
}

# Вывод друзей
while ($frend = mysql_fetch_assoc($q)){
$frend=get_user($frend['frend']);

echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($frend['id']).'</a> <span class="avatar_icon">'.online($frend['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Дополнительное меню
if ($ank['id']==$user['id']){
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="/img/mail.php?id='.$frend[id].'">Написать</a> ';
echo '<a href="/friends/delete'.$frend[id].'">Удалить</a>';
echo '</ul>';
echo '</div>';
}
echo '<span class="nick">'.user::nick($frend['id']).'</span>';
echo '<div class="block_msg">';
echo '<span style="color: #828282; font-size: 14px;">';
if ($frend['ank_name']!=NULL){
echo ''.$frend[ank_name].' ';
}else{
}
if ($frend['ank_fam']!=NULL){
echo ''.$frend[ank_fam].'';
}else{
}
echo '</span>';
echo '</div>';
echo '</td>';
echo '</table>';

}

# Навигация
if ($k_page>1)str("?id=".$ank['id']."&",$k_page,$page);

include_once '../../sys/inc/tfoot.php';

?>